<%= render :partial=>'shared/tree_table_init' %>

<!-- tabs -->
<zzz_script type="text/javascript" src="/javascripts/jquery.ui.tabs.js"></zzz_script>
<script>
  $(function() { $( "#tabs" ).tabs(); });
</script>

<!-- #### content begins here ################################################## -->

<h1>Projekt <%= @account.popis %> <%= @rok %></h1>

<div id="tabs">
  <ul>
    <li><a href="#tabs-vysledovka">Výsledovka</a></li>
<!--    <li><a href="#tabs-struktura">Struktura účtů</a></li>
    <li><a href="#tabs-dalsi">Další</a></li> -->
  </ul>
  <!-- vysledovka ################################################### -->
  
  <% @seen_nondefault_currency = false %>
  <div id="tabs-vysledovka">
  
    <table id="table1" class="treetable">
      <%= render :partial=>'shared/tree_table',  :locals=> { :account_type_test=>'expense_or_income?', :start_level=>0, :celkem_col=>false, :title => { :text => "Příjmy a výdaje", :note=>"+ zisk, - ztráta" } } %>
      <%= render :partial=>'shared/tree_table',  :locals=> { :account_type_test=>'asset?', :reverse_signs => true, :start_level=>0, :celkem_col=>false, :title => { :text => "Aktiva", :note=>"+ příbytek aktiv, - ztráta aktiv" } }%>
    </table>
    <p>
  </div>
  
<%=
  # @account.outgoing_transfers2.union(@account.incoming_transfers2).to_sql
  # Account.find('47b87a9e-55a2-11de-9b15-0013d4bc1a7d').balance3
%>

<% if false %>
      <thead>
        <tr>
          <th  title="+ pohledávky, - závazky">Pohledávky</th>
          <% @ayears.each do |hosprok| %>
            <th class="rok"><%= hosprok %></th>
          <% end %>
          <th class="rok">celkem</th>
        </tr>
      </thead>
      <tbody>
      <% @account.other_owners_with_debt.each do | owner | %>
        <tr>
          <td class="popis">
            <%= link_to owner.popis, :controller=>:accounts, :action=>:show, :id=>owner -%>
          </td>
          <% @ayears.each do |hosprok| %>
            <td>
              <%= 
                link_to(
                  @account.balance_to_account(owner, :rok=>hosprok.to_s.to_i).tap{ |amount|  # BASTL
                    if !(amount.only_default_currecy?) 
                      @seen_nondefault_currency=true  
                    end
                  }.to_multicash_h(@n_options),
                  :action=>'show', :controller=>'account', :id=>@account, :with_foreign_account=>owner)
              %>
            </td>
          <% end %>
          <td class="celkem">
            <%= @account.balance_to_account(owner).to_s(@n_options) %>
          </td>

        </tr>
      <% end %>
        <tr class="celkem">
          <td class="popis">
            celkem
          </td>
          <!--
            celkem_accounts = @account.other_owners_with_debt
            sum1 = {}
            sum2 = celkem_accounts.sum { |account| @account.balance_to_account(account) }.to_multicash_h
            @ayears.collect { |hosprok|
              celkem_accounts.sum { |account| @account.balance_to_account(account, :rok=>hosprok.to_s.to_i) }
            }.each do |amount|
              sum1 = sum1 + amount
              -->
                <td class="celkem">
                  <%= (sum1=sum2=amount={'CZK'=>999}).to_multicash_h.to_s(@n_options) %>
                </td>
              <!--% end %-->
          <td class="celkem">
            <% if (sum1 - sum2)!={} %>
              ERROR <%= sum1.to_s(@n_options) %> &lt;&gt; <%= sum2.to_s(@n_options) %>
            <% else %>
              <%= sum1.to_s(@n_options) %>
            <% end %>
          </td>
        </tr>
      </tbody>
    </table>
    
  </div>
  
  <!-- struktura ################################################### -->
  <div id="tabs-struktura">
    <table class="lay nohover" width="100%" id="accountlist">
    <tr>
    <td>
      <h2>Aktiva</h2>
      <table>
      <%= render :partial=> 'account/owner_table_line', :collection => @assets %>
      <tr><td>
        <%= link_to '-- add new --', :action => 'new', :controller => 'account', 
                    :account => { :popis => @account.popis + ' /', :seq => '1' }, 
                    :parent => @account.id %>
      </td></tr>
      </table>
    </td>
    <td></td>
    <td>
      <h2>Výdaje</h2>
      <table>
      <%= render :partial=> 'account/owner_table_line', :collection => @expenses %>
      <tr><td>
        <%= link_to '-- add new --', :action => 'new', :controller => 'account', 
                    :account => { :popis => @account.popis + ' /', :seq => '4' }, 
                    :parent => @account.id %>
      </td></tr>
      </table>
    </td>
    <td>
      <h2>Příjmy</h2>
      <table>
      <%= render :partial=> 'account/owner_table_line', :collection => @incomes %>
      <tr><td>
        <%= link_to '-- add new --', :action => 'new', :controller => 'account', 
                    :account => { :popis => @account.popis + ' /', :seq => '5' }, 
                    :parent => @account.id %>
      </td></tr>
      </table>
    </td>
    </tr>
    </table>
  </div>
  <div id="tabs-dalsi">
    <ul>
      <li><%= link_to "Editovat", :action=>:edit, :controller=>:account, :id=>@account %></li>
      <li><%= link_to "Zkontrolovat", :action=>:check, :controller=>:owner, :id=>@account %></li>
      <li><%= link_to "Seznam projektů", :action=>:index, :controller=>:owner %></li>
      <li><%= link_to "Přehled toků", :action=>:show_summary, :controller=>:account, :id=>@account %></li>
      <li><%= link_to "Stará výsledovka", :action=>:vysledovka, :controller=>:account, :id=>@account %></li>
    </ul>
    
    <p>
    
    </p>
  </div>
</div>

<%= hide_currency_css unless @seen_nondefault_currency %>


<% end %>
